WordPress 3.4へのアップデート後、DBのアップデートでエラーがでる

追記【2012/06/15 17:33】

公式でWordPress 3.4にアップグレードした時のトラブルとその対処法が公開されたのでそちら参照。

エラーの内容

Fatal error: Call to undefined method dbrc_wpdb::delete() in (WordPressのインストールディレクトリ)wp-includes/option.php on line 370

原因

  • プラグインのDB Cache Reloaded Fixが原因。
    • DB Cacheでも起こるようで。

対処法

3.4にアップデート前の場合

  • DB Cache Reloaded Fixを削除してからWordPress 3.4にアップデートする

3.4にアップデート後の場合

  • wp-content/db.php
  • wp-content/plugins/db-cache-reloaded-fix

をローカルに保存後、削除してデータベースのアップデートを行う。

その後、削除したファイルとディレクトリを再配置するかプラグインの再インストール。

参考

WordPress 3.4へのアップデート後、DBのアップデートでエラーがでる」への4件のフィードバック

  1. 高野

    ありがとうございました。

    この記事がなければ、ブログをあきらめるところでした。

    返信

コメントを残す